Bug 491827 - When format outgoing message, the pidgin will crash.
When format outgoing message, the pidgin will crash.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pidgin (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Jonathan Blandford
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 06:42 EDT by Yewei Shao
Modified: 2013-04-02 00:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The bug information of the pidgin crash. (1.65 KB, text/plain)
2009-03-24 21:25 EDT, Yewei Shao
no flags Details
A more detailed traceback (3.56 KB, patch)
2009-03-25 03:54 EDT, Yewei Shao
no flags Details | Diff

  None (edit)
Description Yewei Shao 2009-03-24 06:42:20 EDT
Description of problem:
When format outgoing message in "Tool->Preference", the pidgin will crash.

Version-Release number of selected component (if applicable):
Test run for RHEL 4AS - pidgin-2.5.5-1.el4 

How reproducible:everytime


Steps to Reproduce:
1. Launch Pidgin and log in an account.
2. Click 'Tools > Preferences ' to bring up Preferences window.
3. Select 'Conversations' tab.
4. Click 'Conversation font" in "Font"
5. In pop out window, click something in it.

  
Actual results:
The Font can be saved successfully.

Expected results:
The pidgin will crash.

Additional info:
Comment 1 Yewei Shao 2009-03-24 21:25:40 EDT
Created attachment 336576 [details]
The bug information of the pidgin crash.
Comment 2 David Ye 2009-03-24 22:03:33 EDT
It can be reproduced in pidgin-2.5.5-1.el4.i386,pidgin-2.5.5-1.el4.x86_64
Comment 3 Warren Togami 2009-03-24 22:11:47 EDT
Looking at your traceback I am guessing this is a bug in GNOME's font rendering stack and not pidgin, but we need a complete traceback to know for sure.

Could you please get a traceback after installing all debuginfo packages for the application and libraries that it uses?  Also please hit ENTER and not quit before the entire stack trace is done.

http://fedoraproject.org/wiki/StackTraces
These instructions are for doing it on Fedora.  debuginfo-install might not exist on RHEL4, so you may need to find and install the matching debuginfo packages manually.

Does this crash in the same place on the RHEL5 version?

It seems to not crash in Fedora 11.
Comment 4 Yewei Shao 2009-03-25 01:14:54 EDT
It will not crash in RHEL5.
Comment 5 Yewei Shao 2009-03-25 02:14:30 EDT
From the debug info I gave before, the reason seems belong to the libXft.so.2, and when I use "rpm -qf", I have found that the corresponding debuginfo package is xorg-x11. I searched this debuginfo package but can not search anything.
Comment 6 Yewei Shao 2009-03-25 03:54:51 EDT
Created attachment 336603 [details]
A more detailed traceback
Comment 7 Warren Togami 2009-03-25 11:51:23 EDT
Upstream pidgin says: "have the original poster change their Gtk+ theme to the default theme and see if the problem disappears"
Comment 8 Yewei Shao 2009-03-26 00:57:19 EDT
When change GTK+ theme to the default theme, the bug can still be reproduced.
Comment 9 Jiri Pallich 2012-06-20 12:14:57 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.